<template>
  <section class="md:pt-0 md:rounded-lg overflow-hidden">
    <div class="h-64 md:h-auto relative info">
      <img
        class="w-full h-full object-cover rounded max-w-full"
        src="/top-story-cate.png"
        alt=""
      />
      <div class="absolute w-full p-4 bottom-0 space-y-2 md:p-6 md:ml-5">
        <h5
          class="md:max-w-md lg:max-w-xl font-medium text-white text-2xl md:text-2rem leading-snug"
        >
          <a href="#">
            Trình làng Realme X50m 5G: Màn hình chơi game tuyệt đỉnh ở mức giá 6
            triệu.
          </a>
        </h5>
        <div class="flex items-center space-x-2">
          <svg-icon class="w-4 h-4 text-white" name="comment" />
          <span class="font-normal text-white text-sm leading-none">
            62 Bình luận
          </span>
          <span class="font-normal text-sm text-gray-200">
            1h trước
          </span>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: 'TopStory'
}
</script>

<style lang="scss" scoped>
.info {
  &::before {
    content: '';
    width: 100%;
    height: 270px;
    background: linear-gradient(
      180deg,
      rgba(0, 0, 0, 0) 4.63%,
      rgba(0, 0, 0, 0.6) 100%
    );
    position: absolute;
    bottom: 0;
    left: 0;
  }
}
</style>
